---
title: getStakeMinimumDelegation
hideTableOfContents: true
h1: getStakeMinimumDelegation RPC Method
---

Returns the stake minimum delegation, in lamports.

<DocSideBySide>

<DocLeftSide>

### Parameters

<Parameter type={"object"} optional={true}>

Configuration object containing the following fields:

<Field
  name="commitment"
  type="string"
  optional={true}
  href="/docs/rpc/index.mdx#configuring-state-commitment"
/>

</Parameter>

### Result

The result will be an RpcResponse JSON object with `value` equal to:

- `<u64>` - The stake minimum delegation, in lamports

</DocLeftSide>

<DocRightSide>

### Code sample

```shell
curl https://api.devnet.solana.com -s -X POST -H "Content-Type: application/json" -d '
  {
    "jsonrpc":"2.0", "id":1,
    "method": "getStakeMinimumDelegation"
  }
'
```

### Response

```json
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 501
    },
    "value": 1000000000
  },
  "id": 1
}
```

</DocRightSide>
</DocSideBySide>
